package io.hmit.modules.fhjw.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.fhjw.dto.FhjwCaseDTO;
import io.hmit.modules.fhjw.entity.FhjwCaseEntity;

import java.util.List;
import java.util.Map;

/**
 * 案件表
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-06-02
 */
public interface FhjwCaseService extends CrudService<FhjwCaseEntity, FhjwCaseDTO> {

    void save(Map<String, Object> params);

    FhjwCaseDTO getByCaseNum(String caseNum);

    List<FhjwCaseDTO> selectByCaseNum(String caseNum);
}
